#include <bits/stdc++.h>
typedef long long ll;
using namespace std;
// auuughhhhh

int main()
{
    ios::sync_with_stdio(0);
    cin.tie(0);

    int x,y,a,b;
    cin >> x >> y
        >> a >> b;

    if(y==b && x!=a)
    {
        cout << "prvi";
    }
    else if(x==a && y!=b)
    {
        cout << "drugi";
    }
    else if(x==a && y==b)
    {
        cout << "nijedan";
    }
    else if(x!=a && y!=b)
    {
        cout << "?";
    }


}